GET /action/resource_search

gov.bc.ca:bcdc

Summary: Find resources
Operation ID:
Auth: unknown
Description

Returns a dictionary with two fields ``count`` and ``results``. The ``count`` field contains the total number of Resources found without the limit or query parameters having an effect. The ``results`` field is a list of dictized Resource objects. The query parameter is a required field. It is a string in the form ``{field}:{term}`` or a list of strings, each of the same form. Within each string, ``{field}`` is a field or extra field on the Resource domain object.

Parameters (5)

fields (string, query, optional)

Depreciated

limit (integer, query, optional, default: 0)

Apply a limit to the query

offset (integer, query, optional, default: 0)

Apply an offset to the query

order_by (string, query, optional)

A field on the resource model that orders the results

query (string, query, optional, default: format:csv)

The search criteria string or list of strings of the form ``{field}:{term1}``

No probe data for this endpoint yet.